Oore CI

Reject promotion

Rejects a pending promotion; nothing changes at the store. Requires one of the environment's approvers (by default any maintainer). API tokens cannot decide promotions. Writes an audit log entry.

Operation IDreject_promotion
POST
/v1/projects/{project_id}/promotions/{promotion_id}/reject

Rejects a pending promotion; nothing changes at the store. Requires one of the environment's approvers (by default any maintainer). API tokens cannot decide promotions. Writes an audit log entry.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

promotion_id*string

Promotion ID

Request Body

application/json

Optional reason

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/promotions/string/reject"
{  "build_id": "string",  "build_number": 0,  "can_decide": true,  "created_at": 0,  "decided_at": 0,  "decided_by_email": "string",  "decision_reason": "string",  "environment_id": "string",  "environment_name": "string",  "error": "string",  "id": "string",  "project_id": "string",  "reason": "string",  "release_id": "string",  "requested_by_email": "string",  "source_environment_name": "string",  "source_release_id": "string",  "source_track": "string",  "state": "pending",  "updated_at": 0,  "version_code": 0,  "version_name": "string"}